#pragma once

#include "CoreMinimal.h"
#include "ItemAddon.h"
#include "Templates/SubclassOf.h"
#include "K37PowerAddon16.generated.h"

class UK37Power_Addon16_StatusEffect;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class THEK37_API UK37PowerAddon16 : public UItemAddon
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UK37Power_Addon16_StatusEffect> _addonStatusEffectClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _statusEffectLingerDuration;

public:
	UK37PowerAddon16();
};

FORCEINLINE uint32 GetTypeHash(const UK37PowerAddon16) { return 0; }
